package com.usky.iot.service;

import com.usky.iot.domain.BaseBuild;
import com.usky.iot.domain.BaseBuildPlane;
import com.usky.common.mybatis.core.CrudService;

import java.util.List;

/**
 * <p>
 * 建筑楼层平面图 服务类
 * </p>
 *
 * @author han
 * @since 2023-08-17
 */
public interface BaseBuildPlaneService extends CrudService<BaseBuildPlane> {
    void add(BaseBuildPlane baseBuildPlane);

    void update(BaseBuildPlane baseBuildPlane);

    List<BaseBuildPlane> dataList(Integer buildId,String floor);
}
